Description

I would like somekind of merge function, where | have a one-page pdf (for instance with my companylogo) so that | set this in front or
in the background of another pdf (which can be multipage)
an option where | can set only first page of all pages, would be welcome......

you find this kind of function, a lot also in pdf printers where can set a default background (1 page pdf) for all your printed pdf's

History

#1 - 07/28/2010 01:22 AM - Harjo Kompagnie

It's like the watermark function, but than not with an image, but with a 1 page pdf file.

#2 - 08/30/2010 12:14 PM - Harjo Kompagnie

Can we expect any activity on the pdf pro plugin?

#3 - 09/07/2010 01:06 PM - Harjo Kompagnie

No one, looking here? simple yes or no?

#4 - 11/05/2010 09:53 PM - Harjo Kompagnie

opensource is nice, but no communication or reaction is killing the whole open idea, IMHO.
Will try to hire a java programmer..

#5 - 01/25/2011 05:46 PM - Scott Butler

- Status changed from New to Resolved

This has already been supported in the plugin for some time now. Use the watermark function. The last argument is an array of pages you want the
watermark on. If you leave it empty, it will do all pages. Usage like:
watermark(String inputFile, String image, int locationX, int locationY, boolean isOver, String[] pages)

Let me know if that isn't what you are referring to. For the image, | think a transparent PNG is probably best if you want to overlay it. othwise you can
set isOver to false.

#6 - 01/25/2011 10:22 PM - Harjo Kompagnie

HI Scott, thanks for replying, the problem is that my source is not an image, but a one-page pdf file (mostly all of them vector based)
So | wondered, if it is possible to put that pdf as a watermark?

if not, than | need some function, to create an image, from that one-page pdf (preferable, set the grab resolution, to : 72, 100, 200 or 300 dpi) and
grab it as png and/or gif. (jpg, will be to heavy, the end result-pdf will be to big....)

#7 - 01/26/2011 01:05 AM - Scott Butler

- Status changed from Resolved to Reopened

ok. Did some research and this is possible. Actually found a nice example here: http:/pdfhacks.com/watermark/ I'll add it into the plugin after
ServoyWorld.

#8 - 01/31/2011 12:27 PM - Harjo Kompagnie

Scott, wonderfull!,
http://pdfhacks.com/watermark/

| did some research too in the code, ;-) and it would be nice, that we can choose of the watermark goes under or above, the pdf.

writer.getOverContent (above: http://api.itextpdf.com/com/itextpdf/text/pdf/PdfStamper.html#getOverContent%28int%29)

writer.getUnderContent (under: http://api.itextpdf.com/com/itextpdf/text/pdf/PdfStamper.html#getUnderContent%28int%29)

#9 - 02/23/2011 12:14 PM - Imre Tokai

Harjo Kompagnie wrote:

I would like somekind of merge function, where | have a one-page pdf (for instance with my companylogo) so that | set this in front or in the
background of another pdf (which can be multipage)
an option where | can set only first page of all pages, would be welcome......

you find this kind of function, a lot also in pdf printers where can set a default background (1 page pdf) for all your printed pdf's

Implemented,
There is the overlay function and "Move sample" in Servoy solution demonstrates how it works

#10 - 02/23/2011 12:17 PM - Imre Tokai

- Status changed from Reopened to Resolved
